View Issue Details

IDProjectCategoryView StatusLast Update
0004510Slicer4Core: Renderingpublic2018-08-22 11:43
ReporterlassoanAssigned Toallison.vacanti 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product VersionSlicer 4.9.0 
Target VersionSlicer 4.9.0Fixed in VersionSlicer 4.9.0 
Summary0004510: VTK OpenGL2 Backend: Cropping is broken with GPU Volume rendering if depth peeling is enabled
Description

Cropping is broken (not cutting into volume in 3D, just limiting the region of interest in 2D) with GPU Volume rendering if depth peeling is enabled, on both Windows and Linux.

See example video here:
https://discourse.slicer.org/t/volume-rendering-model-does-not-update-interactively-with-roi/2125/2

The problem does not occur if depth peeling is disabled.
The problem does not occur with CPU raycasting (regardless of depth peeling).

Tagsvtk-opengl2

Relationships

related to 0004548 resolvedallison.vacanti VTK OpenGL2 Backend: Volume rendering artifacts at volume edges when clipped 

Activities

jcfr

jcfr

2018-03-29 23:22

administrator   ~0015620

Corresponding VTK fix integrated in r27113
See http://viewvc.slicer.org/viewvc.cgi/Slicer4?view=revision&revision=27113

jcfr

jcfr

2018-03-30 22:25

administrator   ~0015627

Last edited: 2018-03-30 22:26

View 2 revisions

After updating the VTK used in Slicer, the cropping plane either flicker or are plain. This video illustrates the problem: https://gitlab.kitware.com/vtk/vtk/merge_requests/4071#note_395250

jcfr

jcfr

2018-03-30 22:32

administrator  

case1.png (89,490 bytes)
case1.png (89,490 bytes)
case2.png (95,777 bytes)
case2.png (95,777 bytes)
allison.vacanti

allison.vacanti

2018-08-08 11:07

developer   ~0015946

The issue with the boxwidget's face highlighting is fixed here:

https://gitlab.kitware.com/vtk/vtk/merge_requests/4573

Please test and let me know if this completely addresses the issue in slicer.

allison.vacanti

allison.vacanti

2018-08-13 09:57

developer   ~0015958

Last edited: 2018-08-13 10:04

View 2 revisions

The fix for the boxwidget has been merged into VTK master.

The fix here was a fairly low-level change isolated to the boxwidget's rendering pipeline. It shouldn't be related to the reported issue 0004598.

jcfr

jcfr

2018-08-22 11:43

administrator   ~0015978

I am now marking this issue as resolved. By building Slicer with the latest VTK, the artifacts do not appear.

Note that issue 0004508 is still pending.

Issue History

Date Modified Username Field Change
2018-02-20 21:16 lassoan New Issue
2018-02-20 21:16 lassoan Status new => assigned
2018-02-20 21:16 lassoan Assigned To => jcfr
2018-02-27 16:36 jcfr Assigned To jcfr => sankhesh
2018-03-02 16:05 jcfr Tag Attached: vtk-opengl2
2018-03-03 00:56 jcfr Summary OpenGL2: Cropping is broken with GPU Volume rendering if depth peeling is enabled => VTK OpenGL2 Backend: Cropping is broken with GPU Volume rendering if depth peeling is enabled
2018-03-29 23:22 jcfr Status assigned => resolved
2018-03-29 23:22 jcfr Resolution open => fixed
2018-03-29 23:22 jcfr Note Added: 0015620
2018-03-29 23:22 jcfr Fixed in Version => Slicer 4.9.0
2018-03-30 22:25 jcfr Status resolved => assigned
2018-03-30 22:25 jcfr Note Added: 0015627
2018-03-30 22:26 jcfr Note Edited: 0015627 View Revisions
2018-03-30 22:32 jcfr File Added: case1.png
2018-03-30 22:32 jcfr File Added: case2.png
2018-08-01 11:32 jcfr Relationship added related to 0004548
2018-08-06 12:25 jcfr Assigned To sankhesh => allison.vacanti
2018-08-08 11:07 allison.vacanti Note Added: 0015946
2018-08-13 00:07 jcfr File Added: slicer-vtk-584314a736-august10-volume-rendering-break-viewers.png
2018-08-13 09:57 allison.vacanti Note Added: 0015958
2018-08-13 10:04 jcfr File Deleted: slicer-vtk-584314a736-august10-volume-rendering-break-viewers.png
2018-08-13 10:04 jcfr Note Edited: 0015958 View Revisions
2018-08-22 11:43 jcfr Status assigned => resolved
2018-08-22 11:43 jcfr Note Added: 0015978